<template>
  <div class="account-status-dots">
    <div
      v-for="index in count"
      :key="index"
      class="account-status-dots__triangle"
      :class="[{'account-status-dots__triangle-active': index <= status}]"
    />
  </div>
</template>

<script>
export default {
  props: {
    count: {
      type: Number,
      default: 3
    },
    status: {
      type: Number,
      default: 0
    }
  }
}
</script>
<style lang="scss" scoped>
@import "../../../../node_modules/common-components/src/static/css/variables";
.account-status-dots {
  display: flex;
  &__triangle {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 4.5px 0 4.5px 6px;
    border-color: transparent transparent transparent $color-grey-border;
    margin-right: 2px;
  }
  &__triangle-active {
    border-color: transparent transparent transparent $color-blue-navy-blue;
  }
}
</style>